Update User Ssh Key
PUT
/api/user/ssh-keyDeprecated compatibility adapter that atomically replaces the current user's default managed SSH public key and mirrors it to the legacy column. Use POST /api/user/ssh-keys and targeted lifecycle operations for new integrations.
Request
application/json
Bodyrequired
- object
Example:
{"public_key":"ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAflLPl4mc5o7Fz00pnSmYDNZ/GmThT/79ZM5Exkgyux user@host"}- public_keystringrequired
Responses
- 200
- 422
Successful Response
application/json
Schema
- object
- createdintegerrequired
- public_keystringrequired
Validation Error
application/json
Schema
- object
detailarray of object
Itemsobject
locarray of string | integerrequired
Itemsstring | integer
Any of the following schemas:
- stringstring
- integerinteger
- msgstringrequired
- typestringrequired